Page MenuHomeFreeBSD

editors/jove: Fix crashes
ClosedPublic

Authored by tobik on Mar 3 2017, 11:39 PM.
Tags
None
Referenced Files
Unknown Object (File)
May 13 2024, 2:53 AM
Unknown Object (File)
May 7 2024, 3:04 AM
Unknown Object (File)
May 7 2024, 3:04 AM
Unknown Object (File)
May 7 2024, 3:04 AM
Unknown Object (File)
May 7 2024, 2:49 AM
Unknown Object (File)
Apr 28 2024, 7:32 AM
Unknown Object (File)
Apr 16 2024, 8:26 AM
Unknown Object (File)
Apr 13 2024, 10:51 PM
Subscribers
None

Details

Summary
JOVE defines a getline function that collides with getline(3).
r419275 tried to fix it by renaming it to get_line, but a few renames
were missed leading to crashes when trying to run JOVE.  Finish the
previous work and also add LICENSE while here.

PR:		217516
Submitted by:	crahman@gmail.com (based on)
Reviewed by:	crahman@gmail.com
Approved by:	??? (mentor)
Differential Revision:	https://reviews.freebsd.org/D????
Test Plan

poudriere testport 11.0/amd64 ok
poudriere testport 10.3/i386 ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 7886
Build 8026: arc lint + arc unit

Event Timeline

tobik retitled this revision from to editors/jove: Fix crashes.
tobik updated this object.
tobik edited the test plan for this revision. (Show Details)
tobik added reviewers: lme, mat.
mat edited edge metadata.
mat added inline comments.
editors/jove/Makefile
25

Maybe you should anchor getline, a bit like s|[[:<:]]getline[[:>:]]|get_line| so that it does not replace longer versions of that string.

This revision is now accepted and ready to land.Mar 3 2017, 11:52 PM
This revision was automatically updated to reflect the committed changes.